
QGIS Application - Bug report #13474

"Show plus sign" tick mark in Layer labeling setting not saved in project file

2015-10-01 02:37 AM - magerlin -

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21521

Description

In "Layer labeling setting", "Formatting" it is possible to tick mark "Show plus sign".

It works as expected but is not saved in the .qgs project file. Next time you open the project, you will to manually tick it again.

It has been so during several of the latest versions.

Associated revisions

Revision df4c0c12 - 2016-01-24 01:13 AM - Sebastian Dietrich 

fix loading the labeling-setting to show a plus-sign next to numbers

(fixes #13474)

Revision 1dc8fc3c - 2016-01-24 02:50 AM - Jürgen Fischer

Merge pull request #2716 from SebDieBln/LoadShowPlusSign

[Bugfix] Correctly load the labeling-setting to show a plus-sign next to numbers (fixes #13474)

History

#1 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

#2 - 2016-01-23 04:07 PM - Sebastian Dietrich

- OS version deleted (7)

- Affected QGIS version changed from 2.10.0 to master

- Operating System deleted (Win)

- Assignee set to Sebastian Dietrich

- Status changed from Open to In Progress

Confirmed in master (commit:e83a7c869f9ebf3bdfa90a0be10a712e1ba1eac8).

#3 - 2016-01-23 04:28 PM - Sebastian Dietrich

- % Done changed from 0 to 100

- Target version set to Version 2.14
- Pull Request or Patch supplied changed from No to Yes

magerlin wrote:

is not saved in the .qgs project file

Actually it is saved in the project file, but it is not correctly read back from it.

See PR 2716 for a solution.

#4 - 2016-01-23 05:51 PM - Jürgen Fischer

- Status changed from In Progress to Closed

Fixed in changeset commit:"1dc8fc3c4eedf6dd1e654275609af306124fcae3".
https://github.com/qgis/QGIS/pull/2716

